Bug 786890 - libvirt-client-0.9.6 does not use proper chkconfig syntax
libvirt-client-0.9.6 does not use proper chkconfig syntax
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
16
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-02 11:53 EST by René Genz
Modified: 2012-06-15 16:45 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-15 16:45:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
anaconda kickstart and install.log files (36.72 KB, application/x-gzip)
2012-02-02 11:53 EST, René Genz
no flags Details
simple patch to fix the problem (1.48 KB, text/plain)
2012-03-14 10:34 EDT, Laine Stump
no flags Details

  None (edit)
Description René Genz 2012-02-02 11:53:17 EST
Created attachment 559087 [details]
anaconda kickstart and install.log files

Description of problem:
after installation of f16 using attached kickstart file
there is an error message in
/root/install.log

Not sure if that is a problem, though.


Version-Release number of selected component (if applicable):
libvirt-client-0.9.6-4.fc16.x86_64


How reproducible:
100%

Steps to Reproduce:
1. install fedora 16 with attached kickstart file
2. review /root/install.log
  
Actual results:
15:47:13 Installing libvirt-client-0.9.6-4.fc16.x86_64
chkconfig version 1.3.57 - Copyright (C) 1997-2000 Red Hat, Inc.
This may be freely redistributed under the terms of the GNU Public License.

usage:   chkconfig [--list] [--type <type>] [name]
         chkconfig --add <name>
         chkconfig --del <name>
         chkconfig --override <name>
         chkconfig [--level <levels>] [--type <type>] <name> <on|off|reset|resetpriorities>

Expected results:
libvirt-client should adhere to the proper syntax of chkconfig
or
update to systemctl
Comment 1 Laine Stump 2012-03-14 10:34:54 EDT
Created attachment 570002 [details]
simple patch to fix the problem

The attached patch should be both added to the patchlist for the rpm, and also applied to the Fedora-specific libvirt.spec.

(This is a Fedora-specific patch - upstream has completely removed the code in question).
Comment 2 Cole Robinson 2012-06-15 16:45:01 EDT
This was already fixed in latest libvirt update.

Note You need to log in before you can comment on or make changes to this bug.